# Generated from pg-0.11.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name pg
%global pgscl postgresql92
%global pgscl_prefix %{pgscl}-
%global gem_extdir %{gem_extdir_mri}
%{!?gem_extdir: %global gem_extdir %{gem_instdir}/extdir}


Summary: A Ruby interface to the PostgreSQL RDBMS
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.12.2
Release: 9%{?dist}
Group: Development/Languages
# Upstream license clarification (https://bitbucket.org/ged/ruby-pg/issue/72/)
#
# The portions of the code that are BSD-licensed are licensed under
# the BSD 3-Clause license; the contents of the BSD file are incorrect.
#
License: (GPLv2 or Ruby) and BSD
URL: http://bitbucket.org/ged/ruby-pg/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}ruby(release)
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby
BuildRequires: %{?pgscl_prefix}postgresql-server %{?pgscl_prefix}postgresql-devel
# Introduced in F17.
Obsoletes: %{?scl_prefix}ruby(postgres) <= 0.7.9-2010.01.28.2
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} %{pgscl} "}
gem install --local --install-dir .%{gem_dir} \
            -V --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

# Remove useless shebangs.
sed -i -e '/^#!\/usr\/bin\/env/d' %{buildroot}%{gem_libdir}/pg.rb
sed -i -e '/^#!rake/d' %{buildroot}%{gem_instdir}/Rakefile

# Fix spec shebangs.
# https://bitbucket.org/ged/ruby-pg/issue/74/
for file in `find %{buildroot}%{gem_instdir}/spec -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] \
        && sed -i -e 's/^#!\/usr\/bin\/env spec/#!\/usr\/bin\/env rspec/' $file \
        && chmod -v 755 $file
done

%check
pushd .%{gem_instdir}
# no tests for now
# %{?scl:scl enable %{scl} "}
# rspec spec
# %{?scl:"}
popd

%files
%exclude %{gem_instdir}/.gemtest
%dir %{gem_instdir}
%doc %{gem_instdir}/BSD
%doc %{gem_instdir}/GPL
%doc %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/Contributors.rdoc
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/Rakefile.cross
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/README.ja.rdoc
%doc %{gem_instdir}/README.OS_X.rdoc
%doc %{gem_instdir}/README.windows.rdoc
%{gem_instdir}/misc
%{gem_instdir}/sample
%{gem_instdir}/spec


%changelog
* Fri Apr 17 2015 Joe VLcek <jvlcek@redhat.com> - 0.12.2-9
- Leave arch dependent files where gem install put them.

* Tue Mar 31 2015 Joe VLcek <jvlcek@redhat.com> - 0.12.2-8
- Rebuild to allow removing from gemset RPM

* Wed Dec 06 2014 Joe VLcek <jvlcek@redhat.com> - 0.12.2-7
- Update for ruby200

* Fri Dec 05 2014 Joe VLcek <jvlcek@redhat.com> - 0.12.2-6
- Remove the rubyabi macro

* Tue May 21 2013 John Eckersberg <jeckersb@redhat.com> - 0.12.2-5
- Build against postgresql92 SCL

* Fri Mar  1 2013 John Eckersberg <jeckersb@redhat.com> - 0.12.2-4
- SCL-ize specfile

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.2-2
- Obsolete ruby-postgress, which was retired.

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.12.2-1
- Rebuilt for Ruby 1.9.3.
- Upgrade to pg 0.12.2.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-5
- Pass CFLAGS to extconf.rb.

* Fri Jun 03 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-4
- Binary extension moved into ruby_sitearch dir.
- -doc subpackage made architecture independent.

* Wed Jun 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-3
- Quoted upstream license clarification.

* Mon May 30 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-2
- Removed/fixed shebang in non-executables.
- Removed sources.

* Thu May 26 2011 Vít Ondruch <vondruch@redhat.com> - 0.11.0-1
- Initial package
